image: clapfire/esp-open-sdk-toolchain:1.1

stages:
  - build
  #- deploy

build_job:
  stage: build
  script:
    - git config http.postBuffer 524288000
    - git clone --recurse-submodules https://github.com/micropython/micropython.git ./micropython
    - rsync --info name2 -a ./mp/ ./micropython/
    - make -C micropython/mpy-cross
    - make --directory micropython/ports/esp8266
  artifacts:
    paths:
      - micropython/ports/esp8266/build/firmware-combined.bin
